local ffi = require 'ffi'
local lj_include = require 'lj_include'
local defs = {
    L_tmpnam = '20',
    TMP_MAX = '238328',
    FILENAME_MAX = '4096',
    L_ctermid = '9',
    L_cuserid = '9',
    FOPEN_MAX = '16',
    IOV_MAX = '1024',
}
local format, cdef, C = string.format, ffi.cdef, ffi.C
for sym, val in pairs(defs) do
    if not pcall(function() return C[sym] end) then
        cdef(format("enum {%s = %s};", sym, val))
    end
end

