local ffi = require 'ffi'
local lj_include = require 'lj_include'

lj_include('stddef')

ffi.cdef[[
struct rpcent {
    char *r_name;
    char **r_aliases;
    int r_number;
};
void setrpcent(int __stayopen);
void endrpcent(void);
struct rpcent *getrpcbyname(const char *__name);
struct rpcent *getrpcbynumber(int __number);
struct rpcent *getrpcent(void);
int getrpcbyname_r(const char *__name, struct rpcent *__result_buf,
    char *__buffer, size_t __buflen, struct rpcent **__result);
int getrpcbynumber_r(int __number, struct rpcent *__result_buf,
    char *__buffer, size_t __buflen, struct rpcent **__result);
int getrpcent_r(struct rpcent *__result_buf, char *__buffer,
    size_t __buflen, struct rpcent **__result);
]]

