local ffi = require 'ffi'
local lj_include = require 'lj_include'

lj_include('bits_types')

ffi.cdef[[
typedef __pid_t pid_t;
]]

lj_include('bits_termios')

ffi.cdef[[
speed_t cfgetospeed(const struct termios *__termios_p);
speed_t cfgetispeed(const struct termios *__termios_p);
int cfsetospeed(struct termios *__termios_p, speed_t __speed);
int cfsetispeed(struct termios *__termios_p, speed_t __speed);
int cfsetspeed(struct termios *__termios_p, speed_t __speed);
int tcgetattr(int __fd, struct termios *__termios_p);
int tcsetattr(int __fd, int __optional_actions,
    const struct termios *__termios_p);
void cfmakeraw(struct termios *__termios_p);
int tcsendbreak(int __fd, int __duration);
int tcdrain(int __fd);
int tcflush(int __fd, int __queue_selector);
int tcflow(int __fd, int __action);
__pid_t tcgetsid(int __fd);
]]

lj_include('sys_ttydefaults')
